net.i2p.router

## Class JobQueueRunner

- java.lang.Object
- - net.i2p.router.JobQueueRunner

All Implemented Interfaces:
  Runnable

     class JobQueueRunner
    extends Object
    implements Runnable

a do run run run a do run run

### Constructor Summary

Constructors
Constructor and Description
`JobQueueRunner(RouterContext context, int id)`

### Method Summary

Methods
`Job` `getCurrentJob()`
`long` `getLastBegin()`
`long` `getLastEnd()`
`Job` `getLastJob()`
`int` `getRunnerId()`
`(package private) int` `getState()`
`void` `run()`
`void` `startRunning()`
`void` `stopRunning()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JobQueueRunner

    public JobQueueRunner(RouterContext context,
                  int id)

### Method Detail

#### getState

    final int getState()

#### getCurrentJob

    public Job getCurrentJob()

#### getLastJob

    public Job getLastJob()

#### getRunnerId

    public int getRunnerId()

#### stopRunning

    public void stopRunning()

#### startRunning

    public void startRunning()

#### getLastBegin

    public long getLastBegin()

#### getLastEnd

    public long getLastEnd()

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`